{% load static %}
<html lang="en">

<head>
    <meta charset="UTF-8" />
    <meta http-equiv="X-UA-Compatible" content="IE=edge" />
    <meta name="viewport" content="width=device-width, initial-scale=1.0" />
    <title>Dashboard</title>
    <!--FONT AWESOME ICONS https://fontawesome.com/v4.7/icon/home-->
    <link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/font-awesome/4.7.0/css/font-awesome.min.css" />
    <link href="{% static 'schools/css/home.css' %}" type="text/css" rel="stylesheet" />
    <style>
        .navigation {
            /* background : url("{% static 'home/images/body-bg.jpg' %}");
            box-shadow: inset 0 0 0 1000px rgb(0 0 0 / 80%); */
        }
    </style>
</head>

<body>
    <div class="container">
        <div class="navigation" id="navigation">
            <ul>
                <li>
                    <a href="" target="contents_frame">
                        <span class="icon"><i class="fa fa-circle-o-notch" aria-hidden="true"></i></span>
                        <span class="title">
                            <h2>AquaGauge</h2>
                        </span>
                    </a>
                </li>
                <li>
                    <a href="dashboard" target="contents_frame">
                        <span class="icon"><i class="fa fa-home" aria-hidden="true"></i></span>
                        <span class="title"> Dashboard</span>
                    </a>
                </li>    
                <li>
                    <a href="schools" target="contents_frame">
                        <span class="icon"><i class="fa fa-building-o" aria-hidden="true"></i></span>
                        <span class="title"> Schools</span>
                    </a>
                </li>     
                <li>
                    <a href="register" target="contents_frame">
                        <span class="icon"><i class="fa fa-user-plus" aria-hidden="true"></i></span>
                        <span class="title"> Register</span>
                    </a>
                </li>  
                <li>
                    <a href="wells" target="contents_frame">
                        <span class="icon"><i class="fa fa-map-marker" aria-hidden="true"></i></span>
                        <span class="title">Wells</span>
                    </a>
                </li>
                <li>
                    <a href="/manage/logout">
                        <span class="icon"><i class="fa fa-sign-out" aria-hidden="true"></i></span>
                        <span class="title"> Sign-out</span>
                    </a>
                </li>
            </ul>
        </div>

        <div class="main">
            <div class="topbar">
                <div class="toggle" onclick="toggleMenu();"></div>
                <div class="search">
                    <label>
                        <input type="text" placeholder="Search here" />
                        <i class="fa fa-search" aria-hidden="true"></i>
                    </label>
                </div>
                <div class="user">
                    <img src="{% static 'schools/images/icon.jpg' %}" />
                </div>
            </div>

            <div class="contents" id="contents" name="contents">
                <iframe class="contents_frame" name="contents_frame" src="dashboard" title=""></iframe>
                <br /><br />
            </div>
        </div>
    </div>

    <script>
        let setCount = 0;
        function toggleMenu() {
            let toggle = document.querySelector(".toggle");
            let navigation = document.querySelector(".navigation");
            let main = document.querySelector(".main");
            toggle.classList.toggle("active");
            navigation.classList.toggle("active");
            main.classList.toggle("active");
        }
        function closeNav() {
            if ((window.innerWidth <= 726) & (setCount != 1)) {
                toggleMenu();
            }
            setCount = 0;
        }

        document.getElementById("navigation").addEventListener("click", closeNav);

    </script>

    <!--SNACKBAR MESAGE-->
    <link href="{% static 'common/css/snackbar.css' %}" type="text/css" rel="stylesheet">
    <div id="snackbar"></div>
    <script src="{% static 'common/js/snackbar.js' %}"></script>


    {% for message in messages %}
    <script>showSnackBar("{{ message }}");</script>
    {% endfor %}

</body>

</html>